Subject: FVWM: Please help me build fvwm2 on Linux

From: Andy Pearce <[email-masked]>
Date: Sun, 06 Oct 1996 2:29:30 BST

Hello,

and sorry to join this list with a rather long question.

I've been using FVWM as distributed w/Linux for many years (and love it).  
I think this may be the first time I've tried to build it.  I'm playing 
with the new tkgoodstuff and needed fvwm2.  I downloaded fvwm-2.0.43.tar.gz 
from ftp.hpc.uh.edu:pub/fvwm/version-2/ and unpacked it but failed to build
it 

   ... it may be a rather trivial problem, but if anyone can offer any
advice on what I should be looking for, I'd be very grateful:

On Linux 2.0.2 kernel,
Slackware distribution probably based on 1.2.13,
GNU Make version 3.74 
gcc version 2.7.0

... Following the instructions in INSTALL:

First, I didn't see anything obvious that needed changing in configure.h 
and Fvwm.tmpl ...

hp1et:/usr/local/src/fvwm-2.0.43$ xmkmf
imake -DUseInstalled -I/usr/X11R6/lib/X11/config

hp1et:/usr/local/src/fvwm-2.0.43$ make Makefiles
making Makefiles in libs...
make[1]: Entering directory `/usr/local/src/fvwm-2.0.43/libs'
make[1]: Nothing to be done for `Makefiles'.
make[1]: Leaving directory `/usr/local/src/fvwm-2.0.43/libs'
# ... etc.  Same for all subdirectories, then ...

hp1et:/usr/local/src/fvwm-2.0.43$ make
making all in ./libs...
make[1]: Entering directory `/usr/local/src/fvwm-2.0.43/libs'
make[1]: *** No rule to make target `CatString3.o', needed by `libfvwm2.a'.  Stop.

# Likewise;
# fvwm:  *** No rule to make target `add_window.o', needed by `fvwm2'.  Stop.
# FvwmAudio:  *** No rule to make target `FvwmAudio.o', needed by `FvwmAudio'.  Stop.
# FvwmAuto:  *** No rule to make target `FvwmAuto.o', needed by `FvwmAuto'.  Stop.

I won't bore you with the rest, but basically nothing much compiled!  
Have I missed a step here?  I read the success messages in the mailing list 
archives, so I know it can be done!

Thanks
 Andy Pearce    [email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].